Tri schémy
Každá schéma je krátky text, ktorý telefón vie odovzdať správnej aplikácii. mailto: otvorí e-mailovú aplikáciu, tel: otvorí vytáčanie a sms: otvorí aplikáciu správ, pričom príjemca a niekedy aj správa sú už vyplnené.
Telefónne čísla fungujú najlepšie v medzinárodnom formáte so znamienkom plus a predvoľbou krajiny, napríklad +15035550123, takže kód funguje aj pre návštevníkov z iných krajín.
- mailto:hello@example.com?subject=Order%20question&body=Hi (RFC 6068)
- tel:+15035550123 (RFC 3966)
- sms:+15035550123?body=Hello (RFC 5724)
- SMSTO:+15035550123:Hello (staršia konvencia, stále široko čítaná)
- MATMSG:TO:hello@example.com;SUB:Hi;BODY:Hello;; (staršia konvencia pre e-mail)
Kódovanie textu správy
Predmety a telá správ v odkazoch mailto a sms musia byť zakódované v percentuálnom kódovaní, takže medzera sa stane %20 a ampersand vo vnútri textu %26. Nezakódované znaky môžu správu skrátiť alebo odkaz pokaziť.
Platformy nie vždy spracúvali parameter tela sms rovnako, čo je jeden z dôvodov, prečo je staršia podoba SMSTO: v generátoroch QR stále bežná. Spoľahlivou kontrolou je otestovanie na iPhone aj Androide pred tlačou.
Čo tieto kódy nedokážu
QR kód nedokáže sám odoslať e-mail ani textovú správu, ani uskutočniť hovor. Iba otvorí aplikáciu s vyplnenými poľami a o odoslaní alebo zavolaní rozhodne ten, kto kód skenuje.
Keďže príjemca je pred odoslaním viditeľný, ľudia by si mali overiť, že zodpovedá tomu, čo očakávajú. Kód, ktorý vopred vyplní správu na číslo so zvýšenou sadzbou alebo na neznámu adresu, je varovným signálom.